/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  SPKICRL
  Package: spki
  File:    SPKICRL.java
*/

package fi.hut.tcm.spki;
import java.security.cert.Certificate;
import java.security.cert.CRL;
import java.util.Date;
import fi.hut.tcm.spki.*;

/**
  SPKICRL
  
  
*/
public abstract class SPKICRL
  extends CRL {

  /**
  */
  protected SPKICRL() {
  
  //+ SPKICRL::SPKICRL( )
    super("SPKI");
  //- SPKICRL::SPKICRL( )
  }
  
  /**
  */
  public abstract boolean equals(Object other);
  
  /**
  */
  public abstract byte[] getEncoded();
  
  /**
  */
  public abstract int getVersion();
  
  /**
  */
  public abstract Date getNotBefore();
  
  /**
  */
  public abstract Date getNotAfter();
  
  /**
  */
  public abstract boolean isValid();
  
} // SPKICRL

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
