/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  SubjectInfo
  Package: impl
  File:    SubjectInfo.java
*/

package fi.hut.tcm.spki.impl;
import fi.hut.tcm.spki.*;

/**
  SubjectInfo
  
  SubjectInfo specifies URIs where more info about the subject can be found.
*/
public class SubjectInfo
  extends Composite {

  /**
  */
  public SubjectInfo() {
  
  //+ SubjectInfo::SubjectInfo( )
    super();
  //- SubjectInfo::SubjectInfo( )
  }
  
  /**
  */
  public boolean check(Component addition) {
  
  //+ SubjectInfo::check(Component)
      return (addition instanceof Uri);
  //- SubjectInfo::check(Component)
  }
  
  /**
  */
  public void accept(Visitor visitor) {
  
  //+ SubjectInfo::accept(Visitor)
      visitor.at(this);
  //- SubjectInfo::accept(Visitor)
  }
  
} // SubjectInfo

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
