/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  TagPrefix
  Package: impl
  File:    TagPrefix.java
*/

package fi.hut.tcm.spki.impl;
import fi.hut.tcm.spki.*;

/**
  TagPrefix
  
  A set of tags containing all tags starting with a given string.
*/
public class TagPrefix
  extends Composite {

  /**
  */
  public TagPrefix() {
  
  //+ TagPrefix::TagPrefix( )
    super();
  //- TagPrefix::TagPrefix( )
  }
  
  /**
  */
  public boolean check(Component addition)
    throws IllegalStateException  {
  
  //+ TagPrefix::check(Component)
      if (!(addition instanceof ByteString &&
	    !addition.getClass().getSuperclass().getName().equals
	    ((new ByteString()).getClass().getName())))
	return false;
      if (children.size() == 0)
	return true;
      throw new IllegalStateException();
  //- TagPrefix::check(Component)
  }
  
  /**
  */
  public void accept(Visitor visitor) {
  
  //+ TagPrefix::accept(Visitor)
      visitor.at(this);
  //- TagPrefix::accept(Visitor)
  }
  
} // TagPrefix

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
