/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  UpLim
  Package: impl
  File:    UpLim.java
*/

package fi.hut.tcm.spki.impl;
import fi.hut.tcm.spki.*;

/**
  UpLim
  
  Defines the upper limit of range.
*/
class UpLim
  extends Composite {

  /**
  */
  public UpLim() {
  
  //+ UpLim::UpLim( )
    super();
  //- UpLim::UpLim( )
  }
  
  /**
  */
  public boolean check(Component addition)
    throws IllegalStateException  {
  
  //+ UpLim::check(Component)
      if (!(addition instanceof Lte) &&
	  !(addition instanceof ByteString &&
	    !addition.getClass().getSuperclass().getName().equals
	    ((new ByteString()).getClass().getName())))
	return false;
      if ((children.size() == 0) &&
	  (addition instanceof Lte))
	return true;
      if ((children.size() == 1) &&
	  (addition instanceof ByteString))
	return true;
      throw new IllegalStateException();
  //- UpLim::check(Component)
  }
  
  /**
  */
  public void accept(Visitor visitor) {
  
  //+ UpLim::accept(Visitor)
    visitor.at(this);
  //- UpLim::accept(Visitor)
  }
  
} // UpLim

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
