/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  IssuerInfo
  Package: impl
  File:    IssuerInfo.java
*/

package fi.hut.tcm.spki.impl;
import fi.hut.tcm.spki.*;

/**
  IssuerInfo
  
  IssuerInfo specifies URIs where more info about the issuer can be found.
*/
public class IssuerInfo
  extends Composite {

  /**
  */
  public IssuerInfo() {
  
  //+ IssuerInfo::IssuerInfo( )
    super();
  //- IssuerInfo::IssuerInfo( )
  }
  
  /**
  */
  public boolean check(Component addition) {
  
  //+ IssuerInfo::check(Component)
      return (addition instanceof Uri);
  //- IssuerInfo::check(Component)
  }
  
  /**
  */
  public void accept(Visitor visitor) {
  
  //+ IssuerInfo::accept(Visitor)
      visitor.at(this);
  //- IssuerInfo::accept(Visitor)
  }
  
} // IssuerInfo

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
