/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  Tag
  Package: impl
  File:    Tag.java
*/

package fi.hut.tcm.spki.impl;
import fi.hut.tcm.spki.*;

/**
  Tag
  
  The authorization field.
*/
public class Tag
  extends Composite
  implements fi.hut.tcm.spki.Tag, fi.hut.tcm.spki.Composite, Component {

  /**
  */
  public Tag() {
  
  //+ Tag::Tag( )
    super();
  //- Tag::Tag( )
  }
  
  /**
  */
  public boolean check(Component addition) {
  
  //+ TagSet::check(Component)
    if ((size() == 0) && 
	((addition instanceof TagStar) || 
	 (addition instanceof TagExpr)))
      return true;
    else
      return false;
  //- TagSet::check(Component)
  }
  
  /**
  */
  public void accept(Visitor visitor) {
  
  //+ Tag::accept(Visitor)
      visitor.at(this);
  //- Tag::accept(Visitor)
  }
  
  /**
  */
  public String toString() {
  
  //+ Tag::toString( )
    return new String("(tag " + get(0).toString() + ")");
  //- Tag::toString( )
  }
  
} // Tag

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
