/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  TagExpr
  Package: impl
  File:    TagExpr.java
*/

package fi.hut.tcm.spki.impl;
import fi.hut.tcm.spki.*;

/**
  TagExpr
  
  Contains the exact authorization definition.
*/
public class TagExpr
  extends Composite
  implements fi.hut.tcm.spki.Composite, Component {

  /**
  */
  public TagExpr() {
  
  //+ TagExpr::TagExpr( )
    super();
  //- TagExpr::TagExpr( )
  }
  
  /**
  */
  public boolean check(Component addition)
    throws IllegalStateException  {
  
  //+ TagExpr::check(Component)
      if (!(addition instanceof TagSimple) &&
	  !(addition instanceof TagSet) &&
	  !(addition instanceof TagString))
	return false;
      if (children.size() == 0)
	return true;
      throw new IllegalStateException();
  //- TagExpr::check(Component)
  }
  
  /**
  */
  public void accept(Visitor visitor) {
  
  //+ TagExpr::accept(Visitor)
      visitor.at(this);
  //- TagExpr::accept(Visitor)
  }
  
  /**
  */
  public String toString() {
  
  //+ TagExpr::toString( )
    String result = new String();
    for (int i = 0; i < size(); i++) {
      result += children.elementAt(i).toString();
      if (i < (size() - 1))
	result += " ";
    }
    return result;
  //- TagExpr::toString( )
  }
  
} // TagExpr

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
